
function QuickRedDemonBoss()
    KEY()
    MM0()
    MOV(13,17)
    SLR(1)
    FAI(2)
    --左力场
    for i=15,17,1 do
        SNP("CS_forcefield",10,i,0,"mainLayer","Forcefield1")
    end
    --右力场
    for i=15,17,1 do
        SNP("CS_forcefield",35,i,0,"mainLayer","Forcefield1")
    end
    WAI(16)
    ANP("RedDemon","fight")
    BSL("RedDemon")
    CMU("CS_Gravity")
end

--击败了赤鬼
function RedDemon()
    KEY()
    FLP("RedDemon")
    DNP("Forcefield1")
    CMU("CS_Fanfale3")
    MS4("\nDefeated Red Demon!")WAI(140)NOD()CLO()
    FLP("DefeatedRedDemon")
    FAO(2)
    TRA("CS_bossrush_mainstage","E0090",11,60)
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",11,60)
end

function DeathByMovingPlatform()
    Died()
end